/**********************************************************
 *
 * $GAMGI/src/gtk/gamgi_gtk_area.h
 *
 * Copyright (C) 2010,2014 Carlos Pereira, Javier Cabezas
 *
 * Distributed under the terms of the GNU
 * General Public License: $GAMGI/LICENSE
 *
 */

/**********************
 * internal functions *
 **********************

 **********************
 * external functions *
 **********************/

int gamgi_gtk_area_query (void);

GLXContext gamgi_gtk_area_create (GtkWidget *area, int *attributes,
GLXContext context, int direct);

void gamgi_gtk_area_remove (GtkWidget *area, GLXContext context);

int gamgi_gtk_area_current (GtkWidget *area, GLXContext context);

void gamgi_gtk_area_swap (GtkWidget *area);

void gamgi_gtk_area_wait_gl (void);

void gamgi_gtk_area_wait_x (void);

/*************
 * Rationale *
 *************

These functions replace GTKGLArea and GTKGLExt libraries
and make the bridge between GTK and OpenGL code.

 *************
 * Rationale *
 *************/
